#pragma once
#include <net_base.h>
#include <util.h>
#include <vector>
#include <string>

class CServer
{
public:
    CServer(const std::shared_ptr<spdlog::logger>& logger);
    ~CServer();

public:
    void run();

public:
    bool get_task_list();

private:
    std::shared_ptr<spdlog::logger> logger_;
    asio::io_context io_context_;
    std::shared_ptr<CTcpServer> server_;
    std::vector<std::string> supported_;
};